use super::{PossessionData, WeaponData, WeaponAttackData};
use crate::models::item::SkillType;
use once_cell::sync::OnceCell;

pub fn data() -> &'static PossessionData {
    static D: OnceCell<PossessionData> = OnceCell::new();
    D.get_or_init(
        ||
            PossessionData {
              weapon_data: Some(WeaponData {
                  uses_skill: SkillType::Fists,
                  raw_min_to_learn: 0.0,
                  raw_max_to_learn: 2.0,
                  normal_attack: WeaponAttackData {
                      start_messages: vec!(
                          Box::new(|attacker, victim, exp|
                                   format!("{} bares {} teeth and lunges at {}",
                                           &attacker.display_for_sentence(exp, 1, true),
                                           &attacker.pronouns.possessive,
                                           &victim.display_for_sentence(exp, 1, false),
                                   )
                          )
                      ),
                      success_messages: vec!(
                          Box::new(|attacker, victim, part, exp|
                                   format!("{}'s teeth connect and tear at the flesh of {}'s {}",
                                           &attacker.display_for_sentence(exp, 1, true),
                                           &victim.display_for_sentence(exp, 1, false),
                                           &part.display(victim.sex.clone())
                                   )
                          )
                      ),
                      ..Default::default()
                  },
                  ..Default::default()
              }),
              ..Default::default()
            }
    )
}
